08 2019 档案
摘要:题意:n*m的矩阵,给出k个点,Q次询问,问每个矩阵中每个点是否被看管,一个点被看管的定义是那个点所在的行或列有点,n,m<=1e5,k,q<=2e5 sol :发现行和列是独立的,即要么每行都有点或每列都有点,所以可以用线段树艹,对于x建线段树,对于所有y<=y2的点加入y的坐标,询问x1,x2中
阅读全文
摘要:CF193B Xor sol:发现好像非常不可做的样子,发现n,u都很小,大胆dfs,因为异或偶数次毫无卵用,只要判每次是否做2操作就是了,复杂度O(可过) #include <bits/stdc++.h> using namespace std; typedef long long ll; inl
阅读全文
摘要:P4208 [JSOI2008]最小生成树计数 题目描述 现在给出了一个简单无向加权图。你不满足于求出这个图的最小生成树,而希望知道这个图中有多少个不同的最小生成树。(如果两颗最小生成树中至少有一条边不同,则这两个最小生成树就是不同的)。由于不同的最小生成树可能很多,所以你只需要输出方案数对3101
阅读全文
摘要:CF37C Old Berland Language sol:直接暴力模拟下去,长度加了就补0,凑个数就+1,凑不好就puts(“no”) #include <bits/stdc++.h> using namespace std; typedef int ll; inline ll read() {
阅读全文
摘要:sol:很显然就是找出所有质因数,然后分别塞进去就行了,怎么塞就是组合数。感觉就是道小学奥数题 #include <bits/stdc++.h> using namespace std; typedef int ll; inline ll read() { ll s=0; bool f=0; cha
阅读全文
摘要:http://codeforces.com/contest/425/problem/C 题意:两数列a[],b[],进行若干轮操作,每次操作花费e, 将a的一个前缀和b的一个前缀(两前缀的最后一个数字必须相同)删除,并得到虚拟1元,最后的一次操作是将剩下的a[],b[]全部清空,花费是之前把a[],
阅读全文
摘要:Darth Vader and Tree CodeForces - 514E When Darth Vader gets bored, he sits down on the sofa, closes his eyes and thinks of an infinite rooted tree wh
阅读全文
摘要:Variable, or There and Back Again CodeForces - 164A Life is not easy for the perfectly common variable named Vasya. Wherever it goes, it is either ass
阅读全文